org.keycloak.services.clientpolicy.condition

## Class ClientUpdateSourceRolesCondition

- java.lang.Object
- - org.keycloak.services.clientpolicy.condition.ClientUpdateSourceRolesCondition

- All Implemented Interfaces:
    Provider, ClientPolicyConditionProvider

      public class ClientUpdateSourceRolesCondition
      extends Object
      implements ClientPolicyConditionProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientUpdateSourceRolesCondition(KeycloakSession session, ComponentModel componentModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientPolicyVote` | `applyPolicy(ClientPolicyContext context)` returns ABSTAIN if this condition is not evaluated due to its nature.
    `String` | `getName()`
    `String` | `getProviderId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.services.clientpolicy.condition.ClientPolicyConditionProvider

      `close`

- - ### Constructor Detail

    - #### ClientUpdateSourceRolesCondition

          public ClientUpdateSourceRolesCondition(KeycloakSession session,
                                                  ComponentModel componentModel)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ClientPolicyConditionProvider`

    - #### getProviderId

          public String getProviderId()

      Specified by:
        `getProviderId` in interface `ClientPolicyConditionProvider`

    - #### applyPolicy

          public ClientPolicyVote applyPolicy(ClientPolicyContext context)
                                       throws ClientPolicyException

      Description copied from interface: `ClientPolicyConditionProvider`
      returns ABSTAIN if this condition is not evaluated due to its nature. returns YES if the client satisfies this condition on the event defined in `ClientPolicyEvent`. If not, returns NO.
      Specified by:
        `applyPolicy` in interface `ClientPolicyConditionProvider`
      Parameters:
        `context` - - the context of the event.
      Returns:
        returns ABSTAIN if this condition is not evaluated due to its nature.
      Throws:
        `ClientPolicyException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.